searchNodes=[{"doc":"Number provides functions to convert numbers into a variety of different formats. Ultimately, it aims to be a partial clone of ActionView::Helpers::NumberHelper from Rails. If you want to import all of the functions provided by Number , simply use it in your module: defmodule MyModule do use Number end More likely, you'll want to import the functions you want from one of Number 's submodules. defmodule MyModule do import Number.Currency end Configuration Some of Number 's behavior can be configured through Mix. Each submodule contains documentation on how to configure it.","ref":"Number.html","title":"Number","type":"module"},{"doc":"","ref":"Number.html#t:t/0","title":"Number.t/0","type":"type"},{"doc":"Converts values to formats consumable by Number.","ref":"Number.Conversion.html","title":"Number.Conversion","type":"protocol"},{"doc":"Converts a value to a Decimal.","ref":"Number.Conversion.html#to_decimal/1","title":"Number.Conversion.to_decimal/1","type":"function"},{"doc":"Converts a value to a Float.","ref":"Number.Conversion.html#to_float/1","title":"Number.Conversion.to_float/1","type":"function"},{"doc":"","ref":"Number.Conversion.html#t:t/0","title":"Number.Conversion.t/0","type":"type"},{"doc":"Provides functions for converting numbers into formatted currency strings.","ref":"Number.Currency.html","title":"Number.Currency","type":"module"},{"doc":"Converts a number to a formatted currency string. Parameters number - A float or integer to convert. options - A keyword list of options. See the documentation of all available options below for more information. Options :unit - The currency symbol to use. Default: &quot;$&quot; :precision - The number of decimal places to include. Default: 2 :delimiter - The character to use to delimit the number by thousands. Default: &quot;,&quot; :separator - The character to use to separate the number from the decimal places. Default: &quot;.&quot; :format - The format of the number. This can be used to put the currency symbol in a different place. See the examples for usage. There are two supported format string placeholders: %u - Represents the currency symbol, or unit. %n - Represents the number. :negative_format - The format of the number when it is negative. Uses the same formatting placeholders as the :format option. Default config for these options can be specified in the Number application configuration. config :number , currency : [ unit : &quot;£&quot; , precision : 2 , delimiter : &quot;,&quot; , separator : &quot;.&quot; , format : &quot;%u%n&quot; , # &quot;£30.00&quot; negative_format : &quot;(%u%n)&quot; # &quot;(£30.00)&quot; ] Examples iex&gt; Number.Currency . number_to_currency ( nil ) nil iex&gt; Number.Currency . number_to_currency ( 1000 ) &quot;$1,000.00&quot; iex&gt; Number.Currency . number_to_currency ( 1000 , unit : &quot;£&quot; ) &quot;£1,000.00&quot; iex&gt; Number.Currency . number_to_currency ( - 1000 ) &quot;-$1,000.00&quot; iex&gt; Number.Currency . number_to_currency ( - 234234.23 ) &quot;-$234,234.23&quot; iex&gt; Number.Currency . number_to_currency ( 1234567890.50 ) &quot;$1,234,567,890.50&quot; iex&gt; Number.Currency . number_to_currency ( 1234567890.506 ) &quot;$1,234,567,890.51&quot; iex&gt; Number.Currency . number_to_currency ( 1234567890.506 , precision : 3 ) &quot;$1,234,567,890.506&quot; iex&gt; Number.Currency . number_to_currency ( - 1234567890.50 , negative_format : &quot;(%u%n)&quot; ) &quot;($1,234,567,890.50)&quot; iex&gt; Number.Currency . number_to_currency ( 1234567890.50 , unit : &quot;R$&quot; , separator : &quot;,&quot; , delimiter : &quot;&quot; ) &quot;R$1234567890,50&quot; iex&gt; Number.Currency . number_to_currency ( 1234567890.50 , unit : &quot;R$&quot; , separator : &quot;,&quot; , delimiter : &quot;&quot; , format : &quot;%n %u&quot; ) &quot;1234567890,50 R$&quot; iex&gt; Number.Currency . number_to_currency ( Decimal . from_float ( 50.0 ) ) &quot;$50.00&quot; iex&gt; Number.Currency . number_to_currency ( Decimal . from_float ( - 100.01 ) ) &quot;-$100.01&quot; iex&gt; Number.Currency . number_to_currency ( Decimal . from_float ( - 100.01 ) , unit : &quot;$&quot; , separator : &quot;,&quot; , delimiter : &quot;.&quot; , negative_format : &quot;- %u %n&quot; ) &quot;- $ 100,01&quot;","ref":"Number.Currency.html#number_to_currency/2","title":"Number.Currency.number_to_currency/2","type":"function"},{"doc":"Provides functions to delimit numbers into strings.","ref":"Number.Delimit.html","title":"Number.Delimit","type":"module"},{"doc":"Formats a number into a string with grouped thousands using delimiter . Parameters number - A float or integer to convert. options - A keyword list of options. See the documentation of all available options below for more information. Options :precision - The number of decimal places to include. Default: 2 :delimiter - The character to use to delimit the number by thousands. Default: &quot;,&quot; :separator - The character to use to separate the number from the decimal places. Default: &quot;.&quot; Default configuration for these options can be specified in the Number application configuration. config :number , delimit : [ precision : 3 , delimiter : &quot;,&quot; , separator : &quot;.&quot; ] Examples iex&gt; Number.Delimit . number_to_delimited ( nil ) nil iex&gt; Number.Delimit . number_to_delimited ( 998.999 ) &quot;999.00&quot; iex&gt; Number.Delimit . number_to_delimited ( - 234234.234 ) &quot;-234,234.23&quot; iex&gt; Number.Delimit . number_to_delimited ( &quot;998.999&quot; ) &quot;999.00&quot; iex&gt; Number.Delimit . number_to_delimited ( &quot;-234234.234&quot; ) &quot;-234,234.23&quot; iex&gt; Number.Delimit . number_to_delimited ( 12345678 ) &quot;12,345,678.00&quot; iex&gt; Number.Delimit . number_to_delimited ( 12345678.05 ) &quot;12,345,678.05&quot; iex&gt; Number.Delimit . number_to_delimited ( 12345678 , delimiter : &quot;.&quot; ) &quot;12.345.678.00&quot; iex&gt; Number.Delimit . number_to_delimited ( 12345678 , delimiter : &quot;,&quot; ) &quot;12,345,678.00&quot; iex&gt; Number.Delimit . number_to_delimited ( 12345678.05 , separator : &quot; &quot; ) &quot;12,345,678 05&quot; iex&gt; Number.Delimit . number_to_delimited ( 98765432.98 , delimiter : &quot; &quot; , separator : &quot;,&quot; ) &quot;98 765 432,98&quot; iex&gt; Number.Delimit . number_to_delimited ( Decimal . from_float ( 9998.2 ) ) &quot;9,998.20&quot; iex&gt; Number.Delimit . number_to_delimited &quot;123456789555555555555555555555555&quot; &quot;123,456,789,555,555,555,555,555,555,555,555.00&quot; iex&gt; Number.Delimit . number_to_delimited Decimal . new ( &quot;123456789555555555555555555555555&quot; ) &quot;123,456,789,555,555,555,555,555,555,555,555.00&quot;","ref":"Number.Delimit.html#number_to_delimited/2","title":"Number.Delimit.number_to_delimited/2","type":"function"},{"doc":"Provides functions for converting numbers into more human readable strings.","ref":"Number.Human.html","title":"Number.Human","type":"module"},{"doc":"Formats and labels a number with the appropriate English word. Examples iex&gt; Number.Human . number_to_human ( 123 ) &quot;123.00&quot; iex&gt; Number.Human . number_to_human ( 1234 ) &quot;1.23 Thousand&quot; iex&gt; Number.Human . number_to_human ( 999001 ) &quot;999.00 Thousand&quot; iex&gt; Number.Human . number_to_human ( 1234567 ) &quot;1.23 Million&quot; iex&gt; Number.Human . number_to_human ( 1234567890 ) &quot;1.23 Billion&quot; iex&gt; Number.Human . number_to_human ( 1234567890123 ) &quot;1.23 Trillion&quot; iex&gt; Number.Human . number_to_human ( 1234567890123456 ) &quot;1.23 Quadrillion&quot; iex&gt; Number.Human . number_to_human ( 1234567890123456789 ) &quot;1,234.57 Quadrillion&quot; iex&gt; Number.Human . number_to_human ( Decimal . new ( &quot;5000.0&quot; ) ) &quot;5.00 Thousand&quot; iex&gt; Number.Human . number_to_human ( &#39;charlist&#39; ) ** (ArgumentError) number must be a float, integer or implement `Number.Conversion` protocol, was &#39;charlist&#39;","ref":"Number.Human.html#number_to_human/2","title":"Number.Human.number_to_human/2","type":"function"},{"doc":"Adds ordinal suffix (st, nd, rd or th) for the number Examples iex&gt; Number.Human . number_to_ordinal ( 3 ) &quot;3rd&quot; iex&gt; Number.Human . number_to_ordinal ( 1 ) &quot;1st&quot; iex&gt; Number.Human . number_to_ordinal ( 46 ) &quot;46th&quot; iex&gt; Number.Human . number_to_ordinal ( 442 ) &quot;442nd&quot; iex&gt; Number.Human . number_to_ordinal ( 4001 ) &quot;4001st&quot;","ref":"Number.Human.html#number_to_ordinal/1","title":"Number.Human.number_to_ordinal/1","type":"function"},{"doc":"Provides functions for converting numbers into percentages.","ref":"Number.Percentage.html","title":"Number.Percentage","type":"module"},{"doc":"Formats a number into a percentage string. Parameters number - A value to convert. Can be any value that implements Number.Conversion.to_float/1 . options - A keyword list of options. See the documentation below for all available options. Options :precision - The number of decimal places to include. Default: 3 :delimiter - The character to use to delimit the number by thousands. Default: &quot;,&quot; :separator - The character to use to separate the number from the decimal places. Default: &quot;.&quot; Default configuration for these options can be specified in the Number application configuration. config :number , percentage : [ delimiter : &quot;,&quot; , separator : &quot;.&quot; , precision : 2 ] Examples iex&gt; Number.Percentage . number_to_percentage ( 100 ) &quot;100.000%&quot; iex&gt; Number.Percentage . number_to_percentage ( &quot;98&quot; ) &quot;98.000%&quot; iex&gt; Number.Percentage . number_to_percentage ( 100 , precision : 0 ) &quot;100%&quot; iex&gt; Number.Percentage . number_to_percentage ( 1000 , delimiter : &#39;.&#39; , separator : &#39;,&#39; ) &quot;1.000,000%&quot; iex&gt; Number.Percentage . number_to_percentage ( 302.24398923423 , precision : 5 ) &quot;302.24399%&quot; iex&gt; Number.Percentage . number_to_percentage ( Decimal . from_float ( 59.236 ) , precision : 2 ) &quot;59.24%&quot;","ref":"Number.Percentage.html#number_to_percentage/2","title":"Number.Percentage.number_to_percentage/2","type":"function"},{"doc":"Provides functions to convert numbers into formatted phone number strings.","ref":"Number.Phone.html","title":"Number.Phone","type":"module"},{"doc":"Formats a number into a US phone number (e.g., (555) 123-9876). You can customize the format in the options list. Parameters number - A float or integer to convert. options - A keyword list of options. See the documentation of all available options below for more information. Options :area_code - Adds parentheses around the area code if true . :delimiter - Specifies the delimiter to use (defaults to “-”). :extension - Specifies an extension to add to the end of the generated number. :country_code - Sets the country code for the phone number. Default config for these options can be specified in the Number application configuration. config :number , phone : [ area_code : false , delimiter : &quot;-&quot; , extension : nil , country_code : nil ] Examples iex&gt; Number.Phone . number_to_phone ( nil ) nil iex&gt; Number.Phone . number_to_phone ( 5551234 ) &quot;555-1234&quot; iex&gt; Number.Phone . number_to_phone ( &quot;5551234&quot; ) &quot;555-1234&quot; iex&gt; Number.Phone . number_to_phone ( 1235551234 ) &quot;123-555-1234&quot; iex&gt; Number.Phone . number_to_phone ( 1235551234 , area_code : true ) &quot;(123) 555-1234&quot; iex&gt; Number.Phone . number_to_phone ( 1235551234 , delimiter : &quot; &quot; ) &quot;123 555 1234&quot; iex&gt; Number.Phone . number_to_phone ( 1235551234 , area_code : true , extension : 555 ) &quot;(123) 555-1234 x 555&quot; iex&gt; Number.Phone . number_to_phone ( 1235551234 , area_code : true , extension : 555 , country_code : 1 ) &quot;+1 (123) 555-1234 x 555&quot; iex&gt; Number.Phone . number_to_phone ( 1235551234 , country_code : 1 ) &quot;+1-123-555-1234&quot; iex&gt; Number.Phone . number_to_phone ( &quot;123a456&quot; ) &quot;123a456&quot; iex&gt; Number.Phone . number_to_phone ( 1235551234 , country_code : 1 , extension : 1343 , delimiter : &quot;.&quot; ) &quot;+1.123.555.1234 x 1343&quot;","ref":"Number.Phone.html#number_to_phone/2","title":"Number.Phone.number_to_phone/2","type":"function"},{"doc":"Provides functions for formatting numbers using SI notation.","ref":"Number.SI.html","title":"Number.SI","type":"module"},{"doc":"Format numbers using SI notation Parameters number - A value to convert. Can be any value that implements Number.Conversion.to_float/1 . options - A keyword list of options. See the documentation below for all available options. Options :base - Use 1024 if you wish to format bytes. Default: 1000 :separator - The string to place between the scaled number and the prefix + unit . Perhaps you want a space here. Default: &quot;&quot; :unit - The unit of measurement, e.g. &quot;M&quot; for Meters. Default: &quot;&quot; :precision - The number of decimal places to include. Default: 2 :trim - Trim trailing zeros. Default: false Default configuration for these options can be specified in the Number application configuration. config :number , si : [ separator : &quot; &quot; , precision : 4 , trim : true ] Examples iex&gt; Number.SI . number_to_si ( 1210000000 , unit : &quot;W&quot; ) &quot;1.21GW&quot; iex&gt; Number.SI . number_to_si ( 1210000000 , unit : &quot;W&quot; , precision : 1 ) &quot;1.2GW&quot; iex&gt; Number.SI . number_to_si ( 1210000000 , unit : &quot;W&quot; , precision : 3 , separator : &quot; &quot; ) &quot;1.210 GW&quot; iex&gt; Number.SI . number_to_si ( 1210000000 , unit : &quot;W&quot; , precision : 5 , trim : true ) &quot;1.21GW&quot; iex&gt; Number.SI . number_to_si ( 1210000000 ) &quot;1.21G&quot; iex&gt; Number.SI . number_to_si ( Decimal . new ( 1210000000 ) ) &quot;1.21G&quot; iex&gt; Number.SI . number_to_si ( &#39;charlist&#39; ) ** (ArgumentError) number must be a float, integer or implement `Number.Conversion` protocol, was &#39;charlist&#39;","ref":"Number.SI.html#number_to_si/2","title":"Number.SI.number_to_si/2","type":"function"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Full Changelog Merged pull requests: :arrow_up: Update ex_doc #60 ( danielberkompas ) :recycle: Replace Mix.Config with Config #59 ( danielberkompas ) :green_heart: Update CI settings #58 ( danielberkompas ) :label: Use Number.t and Keyword.t in typespecs #57 ( danielberkompas ) Fix percentage spec #56 ( fiodorbaczynski ) Update number_to_phone/2 typespec #52 ( lleger ) Misc doc changes #51 ( kianmeng )","ref":"changelog.html#1-0-4-2023-05-26","title":"Changelog - 1.0.4 (2023-05-26)","type":"extras"},{"doc":"Full Changelog Closed issues: Broken behavior with Decimal version 1.x #47 Decimal 2.0 has been released, Number requires ~&gt;1.5 #45 Merged pull requests: [#47] Add compare/2 shim to support Decimal 1.5 #49 ( danielberkompas )","ref":"changelog.html#v1-0-3-2020-10-01","title":"Changelog - v1.0.3 (2020-10-01)","type":"extras"},{"doc":"Full Changelog Merged pull requests: Dependencies upgrade, Decimal 2.0 #46 ( nmbrone )","ref":"changelog.html#v1-0-2-2020-09-21","title":"Changelog - v1.0.2 (2020-09-21)","type":"extras"},{"doc":"Full Changelog Closed issues: number_to_delimited shows 2 decimal places. Readme says otherwise. #43 Changelog entry for 1.0.0 #41 Merged pull requests: fix: add nil @spec overload to number_to_delimited #44 ( superhawk610 )","ref":"changelog.html#v1-0-1-2019-12-06","title":"Changelog - v1.0.1 (2019-12-06)","type":"extras"},{"doc":"Full Changelog Closed issues: Rounding fails #38 Merged pull requests: Fix deprecation warnings from decimal module #40 ( akash-akya ) Fix Number.SI test failure, upgrade Travis #39 ( danielberkompas )","ref":"changelog.html#v1-0-0-2018-11-28","title":"Changelog - v1.0.0 (2018-11-28)","type":"extras"},{"doc":"Full Changelog Merged pull requests: Drop DecimalArithmetic #37 ( michalmuskala )","ref":"changelog.html#v0-5-7-2018-05-17","title":"Changelog - v0.5.7 (2018-05-17)","type":"extras"},{"doc":"Full Changelog Merged pull requests: Decimal to currency fix #36 ( Eptis )","ref":"changelog.html#v0-5-6-2018-04-19","title":"Changelog - v0.5.6 (2018-04-19)","type":"extras"},{"doc":"Full Changelog Closed issues: Invalid typespecs #34 Merged pull requests: Use Number.t to fix type specs #35 ( jclem )","ref":"changelog.html#v0-5-5-2018-02-19","title":"Changelog - v0.5.5 (2018-02-19)","type":"extras"},{"doc":"Full Changelog Closed issues: decimal_arithmetic is missing from applications list #32 Merged pull requests: [#32] Switch to extra_applications #33 ( danielberkompas )","ref":"changelog.html#v0-5-4-2017-09-07","title":"Changelog - v0.5.4 (2017-09-07)","type":"extras"},{"doc":"Full Changelog Closed issues: Deprecation warnings in Elixir 1.5 #30 Negative Decimal problem #28 Merged pull requests: [#30] Fix deprecation warnings on Elixir 1.5 #31 ( danielberkompas )","ref":"changelog.html#v0-5-3-2017-08-30","title":"Changelog - v0.5.3 (2017-08-30)","type":"extras"},{"doc":"Full Changelog Closed issues: Number formatting with abbreviations: $1,200,000 -&gt; $1.2MM, $5,586 -&gt; $5.6k, etc. #26 Merged pull requests: [#23] Properly handle negative Decimals #29 ( danielberkompas ) fix Float.to_string warnings for elixir 1.3 #27 ( kerryjj ) Update readme for Elixir 1.4 instructions. #25 ( sergiotapia )","ref":"changelog.html#v0-5-2-2017-08-05","title":"Changelog - v0.5.2 (2017-08-05)","type":"extras"},{"doc":"Full Changelog Closed issues: Add to application list in mix.exs? #23 Merged pull requests: Fix 1.4 warnings #24 ( stuartbain )","ref":"changelog.html#v0-5-1-2017-01-17","title":"Changelog - v0.5.1 (2017-01-17)","type":"extras"},{"doc":"Full Changelog Closed issues: Error in hex doc #16 Merged pull requests: Stop signing with Keybase #22 ( danielberkompas ) Number with ordinal suffix #21 ( alexfilatov ) Fixed #16 #20 ( unti1x ) [#18] Improve precision using Decimal #19 ( danielberkompas ) Fix Number.Delimit.number_to_delimited cannot handle negative in string #17 ( raycheung )","ref":"changelog.html#v0-5-0-2016-11-26","title":"Changelog - v0.5.0 (2016-11-26)","type":"extras"},{"doc":"Full Changelog Fixed bugs: Number.Conversion is not used internally #12 Closed issues: Module not available in releases if not listed in :applications #14 Merged pull requests: [#12] Use Number.Conversion properly, support Decimal #15 ( danielberkompas ) Don't set display_number inside conditional #13 ( bratsche )","ref":"changelog.html#v0-4-2-2016-07-02","title":"Changelog - v0.4.2 (2016-07-02)","type":"extras"},{"doc":"Full Changelog Closed issues: number_to_human skips some numbers #10 Merged pull requests: Fix number_to_human rounding and skipping errors #11 ( danielberkompas ) Adds SI.format #9 ( stereosteve ) Add examples of module usage to README #7 ( danielberkompas ) Prettify Docs #6 ( danielberkompas )","ref":"changelog.html#v0-4-1-2015-12-16","title":"Changelog - v0.4.1 (2015-12-16)","type":"extras"},{"doc":"Full Changelog Merged pull requests: Add Number.Human.number_to_human/2 #5 ( danielberkompas ) Add Number.Percentage.number_to_percentage/2 #4 ( danielberkompas )","ref":"changelog.html#v0-4-0-2015-08-04","title":"Changelog - v0.4.0 (2015-08-04)","type":"extras"},{"doc":"Full Changelog","ref":"changelog.html#v0-3-4-2015-06-10","title":"Changelog - v0.3.4 (2015-06-10)","type":"extras"},{"doc":"Full Changelog","ref":"changelog.html#v0-3-3-2015-06-10","title":"Changelog - v0.3.3 (2015-06-10)","type":"extras"},{"doc":"Full Changelog Implemented enhancements: Improve Keybase Signature Validation #3 ( danielberkompas )","ref":"changelog.html#v0-3-2-2015-06-10","title":"Changelog - v0.3.2 (2015-06-10)","type":"extras"},{"doc":"Full Changelog","ref":"changelog.html#v0-3-1-2015-06-10","title":"Changelog - v0.3.1 (2015-06-10)","type":"extras"},{"doc":"Full Changelog Implemented enhancements: Add number_to_phone function #2 ( danielberkompas ) Merged pull requests: Update .travis.yml #1 ( lowks )","ref":"changelog.html#v0-3-0-2015-06-10","title":"Changelog - v0.3.0 (2015-06-10)","type":"extras"},{"doc":"Full Changelog","ref":"changelog.html#v0-2-1-2015-06-09","title":"Changelog - v0.2.1 (2015-06-09)","type":"extras"},{"doc":"Full Changelog * This Changelog was automatically generated by github_changelog_generator","ref":"changelog.html#v0-2-0-2015-06-09","title":"Changelog - v0.2.0 (2015-06-09)","type":"extras"},{"doc":"Number is an Elixir library which provides functions to convert numbers into a variety of different formats. Ultimately, it aims to be a partial clone of ActionView::Helpers::NumberHelper from Rails. Number.Currency . number_to_currency ( 2034.46 ) &quot;$2,034.46&quot; Number.Phone . number_to_phone ( 1112223333 , area_code : true , country_code : 1 ) &quot;+1 (111) 222-3333&quot; Number.Percentage . number_to_percentage ( 100 , precision : 0 ) &quot;100%&quot; Number.Human . number_to_human ( 1234 ) &quot;1.23 Thousand&quot; Number.Delimit . number_to_delimited ( 12345678 ) &quot;12,345,678&quot;","ref":"readme.html","title":"Number","type":"extras"},{"doc":"Get it from Hex: defp deps do [ { :number , &quot;~&gt; 1.0.1&quot; } ] end Then run mix deps.get .","ref":"readme.html#installation","title":"Number - Installation","type":"extras"},{"doc":"If you want to import all of the functions provided by Number , simply use it in your module: defmodule MyModule do use Number end More likely, you'll want to import the functions you want from one of Number 's submodules. defmodule MyModule do import Number.Currency end See the Hex documentation for more information about the modules provided by Number .","ref":"readme.html#usage","title":"Number - Usage","type":"extras"},{"doc":"MIT. See LICENSE for more details.","ref":"readme.html#license","title":"Number - License","type":"extras"}]